---
title: "Updates Shipment Type"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/put-shipmenttypes-id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Updates Shipment Type

`PUT` `/shipmenttypes/{id}`

Operation ID: `put-shipmenttypes-id`

Sample request: PUT /shipmenttypes { "name": "Type A" }

## Path parameters

- `id` (integer, int32, required) - Shipment Type id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Request body

Content types: `application/json`

## Responses

- `200` - Returns updated Shipment Type
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Shipment Type not found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /shipmenttypes/{id}:
    put:
      tags:
        - shipmenttypes
      summary: Updates Shipment Type
      description: "Sample request:\r

        \r

        \     PUT /shipmenttypes\r

        \     {\r

        \        \"name\": \"Type A\"\r

        \     }"
      operationId: put-shipmenttypes-id
      parameters:
        - name: id
          in: path
          description: Shipment Type id
          required: true
          schema:
            type: integer
            description: Shipment Type id
            format: int32
            example: 100000
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      requestBody:
        description: Shipment Type model
        content:
          application/json:
            schema:
              title: EmptyExample
              type: object
              additionalProperties: false
      responses:
        "200":
          description: Returns updated Shipment Type
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ShipmentType"
              example:
                id: 0
                name: string
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Shipment Type not found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    ShipmentType:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Identifier
          format: int32
          nullable: true
        name:
          maxLength: 50
          minLength: 0
          type: string
          description: name
          nullable: true
      additionalProperties: false
      description: Shipment Type model
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
```
